Package org.eclipse.handly.ui.preference

# Class IntPreference

java.lang.Object
org.eclipse.handly.ui.preference.AbstractPreference
org.eclipse.handly.ui.preference.IntPreference

All Implemented Interfaces:
  `IIntPreference`, `IPreference`

public class IntPreference extends AbstractPreference implements IIntPreference
Implements an integer-valued preference. The preference is stored in an `IPreferenceStore`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IntPreference(String name, org.eclipse.jface.preference.IPreferenceStore store)`
  Creates a new integer-valued preference with the given name and the given store.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final int`
  `getValue()`
  Returns the current value of this preference.
  `final void`
  `setDefault(int value)`
  Sets the default value for this preference.
  `final void`
  `setValue(int value)`
  Sets the current value of this preference.

  ### Methods inherited from class org.eclipse.handly.ui.preference.AbstractPreference

  `addListener, getName, getStore, isDefault, removeListener, setToDefault`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.eclipse.handly.ui.preference.IPreference

  `addListener, removeListener`

- ## Constructor Details

  - ### IntPreference

    public IntPreference(String name, org.eclipse.jface.preference.IPreferenceStore store)
    Creates a new integer-valued preference with the given name and the given store.
    Parameters:
      `name` - the preference name (not `null`)
      `store` - the preference store (not `null`)

- ## Method Details

  - ### getValue

    public final int getValue()
    Description copied from interface: `IIntPreference`
    Returns the current value of this preference.
    Specified by:
      `getValue` in interface `IIntPreference`
    Returns:
      the current value of this preference

  - ### setValue

    public final void setValue(int value)
    Description copied from interface: `IIntPreference`
    Sets the current value of this preference.

    A preference change event is reported if the current value of the preference actually changes from its previous value.

    Specified by:
      `setValue` in interface `IIntPreference`
    Parameters:
      `value` - the new current value of this preference

  - ### setDefault

    public final void setDefault(int value)
    Sets the default value for this preference.

    Note that if the preference's current value equals the old default value for the preference, the current value changes to the new default value. No preference change events are reported by changing default values.

    Parameters:
      `value` - the new default value for this preference